/*
 * Copyright (C) 2002 Ilya Volynets, Total Knowledge
 *
 * This program is free software. Free means freedom.
 * You are hereby granted the right to use this program
 * in any way you want as long as following conditions are met:
 * 1. All source distributions with code unmodified will also retain this
 *    notice intact.
 * 2. All binary distributions will be accompanied by text file clearly
 *    attributing authorship to Ilya Volynets and sopnsorship to
 *    Total Knowledge using following wording:
 *    "This binary is built from sources developed by Ilya Volynets.
 *    Development was kindly sponsored by Total Knowledge"
 * 3. All modified versions, if distributed, will clearly indicate
 *    that they are not original works and that they were derived from
 *    work developed by Ilya Volynets and sponsored by Total Knowledge
 */

#include <ssl++>
#include <string>
#include <iostream.h>
#include <unistd.h>
int main()
{
    CSSLServer server("*:5689","test.crt","test.key");
    if(!server) {
	cerr<<"Ouch! What's up with bind?\n";
	return 1;
    }
    while(true){
        CSSLConnection *con=server.nextClient();
	if(!con){
	    cerr<<"Ouch! No connection!\n";
	    continue;
	}
	pid_t pid=fork();
	if(!pid) {
	    string buf_in;
	    do {
	        *con>>buf_in;
	        cout<<"Got something: "<<buf_in;
	    } while (!buf_in.empty());
	    return 0;
	}
    }
    return 0;
}
